curl -X GET https://api.autumnai.com/products/Pro%20Product \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const product = await autumn.products.get({
productId: 'Pro Product',
});
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
product = autumn.products.get(product_id="Pro Product")
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "words",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Words",
"secondary_text": "then $0.5 per 1,000 Words"
}
},
{
"type": "feature",
"feature_id": "dashboard",
"entity_feature_id": null,
"display": {
"primary_text": "Dashboard"
}
},
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
Products
Get Product
GET
/
products
/
:id
curl -X GET https://api.autumnai.com/products/Pro%20Product \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const product = await autumn.products.get({
productId: 'Pro Product',
});
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
product = autumn.products.get(product_id="Pro Product")
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "words",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Words",
"secondary_text": "then $0.5 per 1,000 Words"
}
},
{
"type": "feature",
"feature_id": "dashboard",
"entity_feature_id": null,
"display": {
"primary_text": "Dashboard"
}
},
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
Retrieves a product by its ID.
Path Parameters
string
required
The ID of the product to retrieve.
Response
string
The ID of the product you set when creating the product.
string
The name of the product.
string
Product group which this product belongs to.
string
The environment of the product (
sandbox or production).boolean
Whether the product is an add-on and can be purchased alongside other products.
boolean
Whether the product is the default product.
boolean
Whether this product has been archived and is no longer available.
number
The current version of the product.
number
The timestamp of when the product was created in milliseconds since epoch.
array
Array of product items that define the product’s features and pricing.
Show Product Item Object
Show Product Item Object
enum
The type of the product item.
price- Fixed price itempriced_feature- Feature with pricingfeature- Feature without pricing
string
The feature ID of the product item. If the item is a fixed price, will be
null.enum
Single use features are used once and then depleted, like API calls or credits. Continuous use features are those being used on an ongoing basis, like storage or seats.
single_usecontinuous_usebooleanstatic
number | 'inf'
The amount of usage included for this feature.
enum
The reset or billing interval of the product item. If null, feature will have no reset date, and if there’s a price, it will be billed one-off.
dayweekmonthyear
number
The interval count of the product item.
number
The price of the product item. Will be
null if tiered pricing is set.array
enum
How tiers are applied: graduated (split across bands) or volume (flat rate for the matched tier). Defaults to graduated.
graduatedvolume
enum
Whether the feature should be prepaid upfront or billed based on usage at end of billing period.
prepaidpay_per_use
number
The amount per billing unit (e.g., $9 / 250 units).
boolean
Whether the usage should be reset when the product is enabled.
string
The entity feature ID of the product item if applicable.
object
object
Configuration for rollover and proration behavior of the feature.
Show Config Object
Show Config Object
object
enum
Behavior when quantity increases.
prorateno_prorate
enum
Behavior when quantity decreases.
prorateno_prorate
object
Free trial configuration for this product, if available.
Show Free Trial Object
Show Free Trial Object
enum
The duration type of the free trial.
daymonthyear
number
The length of the duration type specified.
boolean
Whether the free trial is limited to one per customer fingerprint.
boolean
Whether the free trial requires a card. If false, the customer can attach the product without going through a checkout flow or having a card on file.
string
ID of the base variant this product is derived from.
enum
Scenario for when this product is used in attach flows.
newupgradedowngradecrossgrade
object
Additional product properties.
Show Properties Object
Show Properties Object
boolean
True if the product has no base price or usage prices.
boolean
True if the product only contains a one-time price.
string
The billing interval group for recurring products (e.g., ‘monthly’, ‘yearly’).
boolean
True if the product includes a free trial.
boolean
True if the product can be updated after creation (only applicable if there are prepaid recurring prices).
curl -X GET https://api.autumnai.com/products/Pro%20Product \
-H "Authorization: Bearer YOUR_API_KEY"
import { Autumn } from '@autumnai/node-sdk';
const autumn = new Autumn({
apiKey: process.env.AUTUMN_API_KEY,
});
const product = await autumn.products.get({
productId: 'Pro Product',
});
from autumn import Autumn
autumn = Autumn(api_key="YOUR_API_KEY")
product = autumn.products.get(product_id="Pro Product")
{
"id": "Pro Product",
"name": "Pro Plan",
"group": null,
"env": "sandbox",
"is_add_on": false,
"is_default": false,
"archived": false,
"version": 1,
"created_at": 1761296829908,
"items": [
{
"type": "price",
"feature_id": null,
"interval": "month",
"interval_count": 1,
"price": 20,
"display": {
"primary_text": "$20",
"secondary_text": "per month"
}
},
{
"type": "priced_feature",
"feature_id": "words",
"included_usage": 1000,
"interval": "month",
"interval_count": 1,
"price": 0.5,
"usage_model": "pay_per_use",
"billing_units": 1000,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "1,000 Words",
"secondary_text": "then $0.5 per 1,000 Words"
}
},
{
"type": "feature",
"feature_id": "dashboard",
"entity_feature_id": null,
"display": {
"primary_text": "Dashboard"
}
},
{
"type": "feature",
"feature_id": "messages",
"included_usage": 10,
"interval": "month",
"interval_count": 1,
"reset_usage_when_enabled": true,
"entity_feature_id": null,
"display": {
"primary_text": "10 Messages"
}
}
],
"free_trial": {
"duration": "day",
"length": 7,
"unique_fingerprint": false,
"card_required": true
},
"base_variant_id": null,
"scenario": "new"
}
⌘I